!This routine will perform a 3 level leap frog
subroutine leap(sn,snm1,dt,rhs,snp1)
implicit none
real*8,dimension(:,:,:,:),target     :: sn,snm1,snp1,rhs
real*8                               :: dt

	snp1 = snm1 + 2.0d0 * dt * rhs

return
end
